%define upstream_name    Hash-NoRef
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A HASH that store values without increase the reference count (weak references)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This HASH will store it's values without increase the reference count. This
can be used to store objects but without interfere in the DESTROY
mechanism, since the reference in this HASH won't count.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Thu Sep 15 2011 jquelin <jquelin> 0.30.0-1.mga2
+ Revision: 143981
- imported package perl-Hash-NoRef


* Thu Sep 15 2011 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
